// src/theme.js
import { DefaultTheme, MD3DarkTheme } from 'react-native-paper';

export const lightTheme = {
    ...DefaultTheme,
    colors: {
      primary: "#DD9C47",
      onPrimary: "#FFF",
      secondary: "#396868",
      onSecondary: "#FFF",
      error: "#BF645B",
      background: "#FEFCF9",
      onBackground: "#000000",
      outline: "rgb(130, 117, 104)",
      outlineVariant: "rgb(212, 196, 181)",
      shadow: "rgb(0, 0, 0)",
      scrim: "rgb(0, 0, 0)",
      inverseSurface: "rgb(53, 47, 42)",
      inverseOnSurface: "rgb(249, 239, 231)",
      inversePrimary: "rgb(255, 185, 95)",
      elevation: {
        level0: "transparent",
        level1: "rgb(249, 243, 242)",
        level2: "rgb(245, 238, 235)",
        level3: "rgb(242, 233, 227)",
        level4: "rgb(240, 231, 224)",
        level5: "rgb(238, 228, 219)"
      },
    },
    button: {
      alignSelf: 'flex-start',
      paddingHorizontal: 15,
      borderRadius: 100,
      paddingVertical: 5,
      minWidth: 'auto'
    }
};

export const darkTheme = {
    ...MD3DarkTheme,
    colors: {
      primary: "rgb(255, 185, 95)",
      onPrimary: "rgb(71, 42, 0)",
      primaryContainer: "rgb(101, 62, 0)",
      onPrimaryContainer: "rgb(255, 221, 184)",
      secondary: "rgb(76, 218, 218)",
      onSecondary: "rgb(0, 55, 55)",
      secondaryContainer: "rgb(0, 79, 79)",
      onSecondaryContainer: "rgb(111, 247, 246)",
      tertiary: "rgb(79, 216, 235)",
      onTertiary: "rgb(0, 54, 61)",
      tertiaryContainer: "rgb(0, 79, 88)",
      onTertiaryContainer: "rgb(151, 240, 255)",
      error: "rgb(255, 180, 171)",
      onError: "rgb(105, 0, 5)",
      errorContainer: "rgb(147, 0, 10)",
      onErrorContainer: "rgb(255, 180, 171)",
      background: "rgb(31, 27, 22)",
      onBackground: "rgb(235, 225, 217)",
      surface: "rgb(31, 27, 22)",
      onSurface: "rgb(235, 225, 217)",
      surfaceVariant: "rgb(80, 69, 57)",
      onSurfaceVariant: "rgb(212, 196, 181)",
      outline: "rgb(156, 142, 128)",
      outlineVariant: "rgb(80, 69, 57)",
      shadow: "rgb(0, 0, 0)",
      scrim: "rgb(0, 0, 0)",
      inverseSurface: "rgb(235, 225, 217)",
      inverseOnSurface: "rgb(53, 47, 42)",
      inversePrimary: "rgb(133, 83, 0)",
      elevation: {
        level0: "transparent",
        level1: "rgb(42, 35, 26)",
        level2: "rgb(49, 40, 28)",
        level3: "rgb(56, 44, 30)",
        level4: "rgb(58, 46, 31)",
        level5: "rgb(62, 49, 32)"
      },
      surfaceDisabled: "rgba(235, 225, 217, 0.12)",
      onSurfaceDisabled: "rgba(235, 225, 217, 0.38)",
      backdrop: "rgba(56, 47, 36, 0.4)",
      errorCustom: "rgb(255, 180, 171)",
      onErrorCustom: "rgb(95, 20, 17)",
      errorCustomContainer: "rgb(125, 43, 37)",
      onErrorCustomContainer: "rgb(255, 218, 214)"
    }
};

console.log(DefaultTheme)